MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023166Community[OCCT] OCCT:Modeling Algorithmspublic2012-05-20 12:072017-07-31 17:46
ReporterRoman Lygin 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target VersionFixed in Version[OCCT] 7.0.0 
Summary0023166: Intersection of plane and cone produces wrong result
DescriptionInstead of two hyperbolas, GeomAPI_IntSS returns one hyperbola and a tiny trimmed hyperbola instead of untrimmed.
Steps To Reproducerestore surface1_draw s1
restore surface2_draw s2
intersect r s1 s2
dump r_1
# tiny trimmed hyperbola while it should be untrimmed
TagsNo tags attached.
Test case numberbugs modalg_7 bug23166
Attached Fileszip file icon archive.zip (509 bytes) 2012-05-20 12:07

- Relationships

-  Notes
(0022566)
Roman Lygin (developer)
2012-12-05 12:08

Team:
Has this bug ever been triaged ? It is in the new state for 6+ months.
Thanks for paying attention to it.
(0068324)
git (administrator)
2017-07-14 18:31

Branch CR23166 has been created by mkv.

SHA-1: 57b650faf48942bec79cc5f1c08e9f3698bac1a0


Detailed log of new commits:

Author: mkv
Date: Fri Jul 14 18:31:16 2017 +0300

    Test for 0023166: Intersection of plane and cone produces wrong result
(0068448)
mkv (tester)
2017-07-19 18:31

Problem described in issue is not reproduced on current state of OCCT.
(0068926)
git (administrator)
2017-07-31 17:46

Branch CR23166 has been deleted by kgv.

SHA-1: 57b650faf48942bec79cc5f1c08e9f3698bac1a0

- Issue History
Date Modified Username Field Change
2012-05-20 12:07 Roman Lygin New Issue
2012-05-20 12:07 Roman Lygin Assigned To => jgv
2012-05-20 12:07 Roman Lygin File Added: archive.zip
2012-12-05 12:08 Roman Lygin Note Added: 0022566
2017-07-14 18:31 git Note Added: 0068324
2017-07-14 18:32 mkv Test case number => bugs modalg_7 bug23166
2017-07-19 18:31 mkv Note Added: 0068448
2017-07-19 18:31 mkv Assigned To jgv => bugmaster
2017-07-19 18:31 mkv Status new => feedback
2017-07-19 18:32 mkv Status feedback => tested
2017-07-21 16:27 bugmaster Status tested => closed
2017-07-21 16:27 bugmaster Resolution open => fixed
2017-07-21 16:27 bugmaster Fixed in Version => 7.0.0
2017-07-31 17:46 git Note Added: 0068926


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker